"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRuleTester = createRuleTester;
const tslib_1 = require("tslib");
const rule_tester_1 = require("@typescript-eslint/rule-tester");
const mocha = tslib_1.__importStar(require("mocha"));
const path_1 = require("path");
rule_tester_1.RuleTester.afterAll = mocha.after;
function createRuleTester({ filename = "./tests/file.tsx", project = (0, path_1.resolve)("./tests/tsconfig.json"), } = {}) {
    return function ruleTester({ typeScript = true, types = true, } = {}) {
        const parserOptions = {
            ecmaFeatures: { jsx: true },
            ecmaVersion: 2020,
            project: typeScript && types ? project : undefined,
            sourceType: "module",
        };
        const tester = new rule_tester_1.RuleTester({
            defaultFilenames: {
                ts: filename,
                tsx: filename,
            },
        });
        const run = tester.run;
        tester.run = (name, rule, { invalid = [], valid = [] }) => run.call(tester, name, rule, {
            invalid: invalid.map((test) => ({
                ...test,
                languageOptions: { parserOptions },
            })),
            valid: valid.map((test) => typeof test === "string"
                ? { code: test, languageOptions: { parserOptions } }
                : { ...test, languageOptions: { parserOptions } }),
        });
        return tester;
    };
}
