"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasTypeAnnotation = hasTypeAnnotation;
exports.isArrayExpression = isArrayExpression;
exports.isArrayPattern = isArrayPattern;
exports.isArrowFunctionExpression = isArrowFunctionExpression;
exports.isAssignmentExpression = isAssignmentExpression;
exports.isBlockStatement = isBlockStatement;
exports.isCallExpression = isCallExpression;
exports.isExportNamedDeclaration = isExportNamedDeclaration;
exports.isExpressionStatement = isExpressionStatement;
exports.isFunctionDeclaration = isFunctionDeclaration;
exports.isFunctionExpression = isFunctionExpression;
exports.isIdentifier = isIdentifier;
exports.isLiteral = isLiteral;
exports.isMemberExpression = isMemberExpression;
exports.isNewExpression = isNewExpression;
exports.isObjectExpression = isObjectExpression;
exports.isObjectPattern = isObjectPattern;
exports.isProgram = isProgram;
exports.isProperty = isProperty;
exports.isPrivateIdentifier = isPrivateIdentifier;
exports.isRestElement = isRestElement;
exports.isThisExpression = isThisExpression;
exports.isTSTypeLiteral = isTSTypeLiteral;
exports.isTSTypeReference = isTSTypeReference;
exports.isVariableDeclarator = isVariableDeclarator;
function hasTypeAnnotation(node) {
    return "typeAnnotation" in node && !!node.typeAnnotation;
}
function isArrayExpression(node) {
    return node.type === "ArrayExpression";
}
function isArrayPattern(node) {
    return node.type === "ArrayPattern";
}
function isArrowFunctionExpression(node) {
    return node.type === "ArrowFunctionExpression";
}
function isAssignmentExpression(node) {
    return node.type === "AssignmentExpression";
}
function isBlockStatement(node) {
    return node.type === "BlockStatement";
}
function isCallExpression(node) {
    return node.type === "CallExpression";
}
function isExportNamedDeclaration(node) {
    return node.type === "ExportNamedDeclaration";
}
function isExpressionStatement(node) {
    return node && node.type === "ExpressionStatement";
}
function isFunctionDeclaration(node) {
    return node.type === "FunctionDeclaration";
}
function isFunctionExpression(node) {
    return node.type === "FunctionExpression";
}
function isIdentifier(node) {
    return node.type === "Identifier";
}
function isLiteral(node) {
    return node.type === "Literal";
}
function isMemberExpression(node) {
    return node.type === "MemberExpression";
}
function isNewExpression(node) {
    return node.type === "NewExpression";
}
function isObjectExpression(node) {
    return node.type === "ObjectExpression";
}
function isObjectPattern(node) {
    return node.type === "ObjectPattern";
}
function isProgram(node) {
    return node.type === "Program";
}
function isProperty(node) {
    return node.type === "Property";
}
function isPrivateIdentifier(node) {
    return node.type === "PrivateIdentifier";
}
function isRestElement(node) {
    return node.type === "RestElement";
}
function isThisExpression(node) {
    return node.type === "ThisExpression";
}
function isTSTypeLiteral(node) {
    return node.type === "TSTypeLiteral";
}
function isTSTypeReference(node) {
    return node.type === "TSTypeReference";
}
function isVariableDeclarator(node) {
    return node.type === "VariableDeclarator";
}
